Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84872 - [patch] MyODBC wants to use "." as decimal point when talking to MySQL, but does not set numeric locale correctly
Summary: [patch] MyODBC wants to use "." as decimal point when talking to MySQL, but d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: MyODBC
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard: RHEL4U3NAK
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-22 16:58 UTC by shrek-m
Modified: 2013-07-03 02:59 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0291
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 17:19:32 UTC


Attachments (Terms of Use)
patch to fix MyODBC (deleted)
2004-12-02 13:10 UTC, Caolan McNamara
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0291 normal SHIPPED_LIVE MyODBC bug fix update 2007-05-01 17:19:31 UTC

Description shrek-m 2003-02-22 16:58:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
openofffice-datasources

it is possible to create new tables
but it ends everytime with different sql-syntax-errors while "create new
records, insert".
"update" works sometimes


the  "privileges"  are correct:
open a sql-statement window
type the correct statements without ending ";"
there are absolutely no problems!
eg.
insert into tab_1 values ("1","test1")

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  create a new table (gui)
2.  try to insert a new record
3.  update an existing record
    

Actual Results:  [unixODBC][TCX][MyODBC]Column count doesn�t match
value count at row 1
- sql-syntax-error

Expected Results:  all should work

Additional info:

Comment 1 Caolan McNamara 2004-10-28 12:16:19 UTC
caolanm->shrek-m: Is this still the case with a contemporary
OpenOffice.org ?

Comment 2 shrek-m 2004-11-20 19:30:45 UTC
$ cat /etc/fedora-release
Fedora Core release 3 (Heidelberg)
$ rpm -q openoffice.org unixODBC mysql mysql-server
openoffice.org-1.1.2-11.5.fc3
unixODBC-2.2.9-1
mysql-3.23.58-13
mysql-server-3.23.58-13


- create a new userDSN with
$ ODBCConfig

- create a new dadasource (MySQL or ODBC)

- create a new table (without primary key)
OOo will create a primary key

- insert data
for each new row i have to close the connection
"Fehler beim Einfügen des neuen Datensatzes
[unixODBC][TCX\MyODBC] You have an error in your SQL syntax near
00000000000e+01' at line 1"

- changing existing entries is possible

-------
OOPS,
LANG=C oowriter    /*all is OK*/
LANG=de_DE oowriter    /*"ERROR*/


$ env | grep LANG
LANG=de_DE.UTF-8

it seems that the LANG is the problem

Comment 3 Caolan McNamara 2004-12-02 13:09:15 UTC
Argh!, I found it. A problem with setlocale in MyODBC.

Comment 4 Caolan McNamara 2004-12-02 13:10:15 UTC
Created attachment 107765 [details]
patch to fix MyODBC

setlocale(LC_NUMERIC,"English") -> setlocale(LC_NUMERIC,"C");

Comment 5 Tom Lane 2004-12-02 16:20:03 UTC
My, that's ugly :-( ... will fix.  Thanks for the detective work!

Comment 6 Tom Lane 2004-12-08 20:57:21 UTC
Caolan, how far back are we supporting OpenOffice?  I'm wondering
which releases I need to put this fix into ...

Comment 7 Caolan McNamara 2004-12-09 08:48:15 UTC
Each OOo update we do we push simultaneously for FC2/FC3/RHEl-4/rawhide

Comment 8 Tom Lane 2004-12-10 22:54:38 UTC
I've pushed this fix into fc2, fc3, and rawhide, but it's too late for
RHEL4 :-( ... it'll have to go into U1.

I'll leave the bug report open to remind me to do that when the U1
window opens.

Comment 10 Tom Lane 2005-07-20 19:39:43 UTC
Adjust bz entry to mention RHEL4.

Comment 13 Tom Lane 2005-08-11 03:47:15 UTC
Just for completeness, this problem was reported to MySQL some time ago, and only partially fixed:
http://bugs.mysql.com/bug.php?id=371

Comment 18 shrek-m 2006-04-18 21:58:07 UTC
i do not now if it is fixed, i do not use rhel.
please close it, i have no permission.

ciao

Comment 19 RHEL Product and Program Management 2006-08-18 17:59:23 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 23 Red Hat Bugzilla 2007-05-01 17:19:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0291.html



Note You need to log in before you can comment on or make changes to this bug.